Ubuntu – Try to install tp-link wireless adapter (Ubuntu 16.04)

16.04adapterdriversusb

I'm new in Ubuntu 16.04, and I don't understand how I download the driver to my adapter from http://www.tp-link.com/en/products/details/Archer-T2UH.html

I can't install it.

Can someone help me to install the adapter? Please tell me also the commands on terminal

lsusb-

Bus 001 Device 012: ID 148f:761a Ralink Technology, Corp. 
Bus 001 Device 013: ID 05ac:12a0 Apple, Inc. iPhone 4S
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 003: ID 0000:0538  
Bus 005 Device 002: ID 04ca:0022 Lite-On Technology Corp. 
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

I also try this How to install TP-LINK T2UH Wireless adapter Driver (Ralink mt7610u)

and is not fix the problem. Please explain me what to do and how to fix the problem?

Best Answer

You can install a driver from my PPA

sudo add-apt-repository ppa:hanipouspilot/rtlwifi
sudo apt update
sudo apt install mt7610u-dkms

This PPA supports xenial with the 4.4 kernel.

Related Question